﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

public partial class admin_Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
            Proj4Projection prj4 = new Proj4Projection();
            prj4.InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326);
            prj4.ExternalProjectionParametersString = Proj4Projection.GetGoogleMapParametersString();
          
                //prj4.Open();
            //Map1.CurrentExtent = prj4.ConvertToExternalProjection(new RectangleShape(-51, 65, 30, -70)) as RectangleShape;
            //prj4.Close();
            Map1.CurrentExtent = new RectangleShape(-13939426.6371, 6701997.4056, -7812401.86, 2626987.386962);
            Map1.MapUnit = GeographyUnit.Meter;

            GoogleOverlay google = new GoogleOverlay("Google Map");
            google.JavaScriptLibraryUri = new Uri("http://maps.google.com/maps?file=api&amp;v=2&amp;key=ABQIAAAANid9_R2TwQDtc7fCMUChMBRLSAb7l0iDVf1ZEBZ86LxrvaLq7hSFx3FKWon8ocggVveoRd5s-xWrvQ");
            google.GoogleMapType = GoogleMapType.Physical;

            Map1.CustomOverlays.Add(google);
        }
    }

    protected void Map1_ExtentChanged(object sender, ExtentChangedEventArgs e)
    {
        Label1.Text = e.CurrentExtent.GetWellKnownText();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Response.Redirect(Request.RawUrl);
    }
}